Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(20)

Issue 1465153004: [css-grid] Avoid duplicated calls to resolution code (Closed)

Created:
3 years, 5 months ago by Manuel Rego
Modified:
3 years, 5 months ago
CC:
chromium-reviews, jfernandez, szager+layoutwatch_chromium.org, zoltan1, svillar, blink-reviews-layout_chromium.org, pdr+renderingwatchlist_chromium.org, eae+blinkwatch, leviw+renderwatch, Manuel Rego, jchaffraix+rendering, blink-reviews
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

[css-grid] Avoid duplicated calls to resolution code We were calling GridResolvedPosition::resolveGridPositionsFromStyle() several times per item. We can store the GridCoordinates in LayoutGrid::populateExplicitGridAndOrderIterator() and reuse them in the placement code. Once LayoutGrid::placeItemsOnGrid() is over, all the items will have a definite position in both axis. No new tests, no change of behavior. BUG=444011 GridResolvedPosition::resolveGridPositionsFromStyle Committed: https://crrev.com/a7e24b5853a11308a12b302b34c9f624f2acd367 Cr-Commit-Position: refs/heads/master@{#361855}

Patch Set 1 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+24 lines, -11 lines) Patch
M third_party/WebKit/Source/core/layout/LayoutGrid.cpp View 8 chunks +24 lines, -11 lines 0 comments Download

Messages

Total messages: 9 (3 generated)
Manuel Rego
Another small patch following the plan described at http://code.google.com/p/chromium/issues/detail?id=444011#c7
3 years, 5 months ago (2015-11-23 22:17:01 UTC) #2
jfernandez
LGTM, but I admit I'm not an expert on the placement logic.
3 years, 5 months ago (2015-11-25 21:28:54 UTC) #3
cbiesinger
lgtm. looks reasonable.
3 years, 5 months ago (2015-11-26 01:17:43 UTC) #4
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1465153004/1 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1465153004/1
3 years, 5 months ago (2015-11-26 08:23:24 UTC) #6
commit-bot: I haz the power
Committed patchset #1 (id:1)
3 years, 5 months ago (2015-11-26 09:32:27 UTC) #7
commit-bot: I haz the power
3 years, 5 months ago (2015-11-26 09:33:27 UTC) #9
Message was sent while issue was closed.
Patchset 1 (id:??) landed as
https://crrev.com/a7e24b5853a11308a12b302b34c9f624f2acd367
Cr-Commit-Position: refs/heads/master@{#361855}

Powered by Google App Engine
This is Rietveld 408576698